%define upstream_name    HTML-Encoding
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Determine encoding of HTML/XHTML documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTTP::Headers::Util)
BuildRequires: perl(HTTP::Response)
BuildArch: noarch

%description
HTML::Encoding helps to determine the encoding of HTML and XML/XHTML
documents...

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.610.0-12.mga10
+ Revision: 2199382
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.610.0-11.mga9
+ Revision: 1803925
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.610.0-10.mga8
+ Revision: 1494859
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.610.0-9.mga7
+ Revision: 1268482
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.610.0-8.mga6
+ Revision: 1028215
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.610.0-7.mga6
+ Revision: 949920
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.610.0-6.mga5
+ Revision: 790589
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.610.0-5.mga5
+ Revision: 746134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.610.0-4.mga5
+ Revision: 684930
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.610.0-3.mga4
+ Revision: 511985
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-2.mga3
+ Revision: 367996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 0.610.0-1.mga2
+ Revision: 178278
- imported package perl-HTML-Encoding


* Wed Dec 07 2011 cpan2dist 0.61-1mga
- initial mageia release, generated with cpan2dist
